<!--
  Generated template for the RegistrationPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="primary">
    <ion-title>Registration</ion-title>
  </ion-navbar>

</ion-header>


<ion-content padding>
  <div>
    <form [formGroup]="frm" (ngSubmit)="registerUser()" novalidate>
    <ion-item>
      <ion-label floating>First name</ion-label>
      <ion-input type="text" formControlName="fname"></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.fname.valid && frm.controls.fname.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *First name is required and must consist of at least two characters. (No Special Characters and numbers)
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>Middle Name</ion-label>
      <ion-input type="text" formControlName="mname" ></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.mname.valid && frm.controls.mname.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *Middle name must consist of at least two characters. No Special Characters and numbers
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>Last Name</ion-label>
      <ion-input type="text" formControlName="lname" ></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.lname.valid && frm.controls.lname.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *Last name is required and must consist of at least two characters. (No Special Characters and numbers)
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>NU Username</ion-label>
      <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.email.valid && frm.controls.email.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *Must be a valid NU Email
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>Password</ion-label>
      <ion-input type="password" formControlName="password" ></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.password.valid && frm.controls.password.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *Password is required and must have at least 8 characters with 1 uppercase, 1 lowercase, and 1 number.
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>NU ID#</ion-label>
      <ion-input type="text" formControlName="id_num" ></ion-input>
    </ion-item>

      <ion-item no-lines *ngIf="!frm.controls.id_num.valid && frm.controls.id_num.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *NU ID Number is required
        </div>
      </ion-item>

    <ion-item>
      <ion-label floating>User Type</ion-label>
      <ion-select formControlName="user_type">
        <ion-option value="Student">Student</ion-option>
        <ion-option value="Teaching">Teaching</ion-option>
        <ion-option value="Non-Teaching">Non-Teaching</ion-option>
      </ion-select>
    </ion-item>
      <ion-item no-lines *ngIf="!frm.controls.user_type.valid && frm.controls.user_type.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *User type is required
        </div>
      </ion-item>

    <br>
    <ion-item>
      <ion-label floating>Program</ion-label>
      <ion-select formControlName="course_id">
        <ion-option *ngFor="let course of courses" value="{{course.course_id}}">{{course.course}}</ion-option>
      </ion-select>
    </ion-item>
      <ion-item no-lines *ngIf="!frm.controls.course_id.valid && frm.controls.course_id.dirty" text-wrap>
        <div style="color: red; font-size: smaller">
          *Program is required
        </div>
      </ion-item>

      <button class="button" ion-button full type="submit" [disabled]="!frm.valid">Register</button>

    </form>
  </div>
</ion-content>

